#ifndef __BOILERPLATE_APPLICATION_H__
#define __BOILERPLATE_APPLICATION_H__

#include <gtk/gtk.h>
#include <glib.h>

G_BEGIN_DECLS

typedef struct _BoilerplateApplication        BoilerplateApplication;
typedef struct _BoilerplateApplicationClass   BoilerplateApplicationClass;
typedef struct _BoilerplateApplicationPrivate BoilerplateApplicationPrivate;

#define BOILERPLATE_APPLICATION_TYPE            (boilerplate_application_get_type ())
#define BOILERPLATE_APPLICATION(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), BOILERPLATE_TYPE_APPLICATION, BoilerplateApplication))
#define BOILERPLATE_APPLICATION_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  BOILERPLATE_TYPE_APPLICATION, BoilerplateApplicationClass))
#define BOILERPLATE_IS_APPLICATION(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), BOILERPLATE_TYPE_APPLICATION))
#define BOILERPLATE_IS_APPLICATION_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  BOILERPLATE_TYPE_APPLICATION))
#define BOILERPLATE_APPLICATION_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  BOILERPLATE_TYPE_APPLICATION, BoilerplateApplicationClass))

/*G_DECLARE_FINAL_TYPE (BoilerplateApplication, boilerplate_application, BOILERPLATE, WINDOW, GtkApplication)*/

struct _BoilerplateApplication {
	GtkApplication base_instance;
};

struct _BoilerplateApplicationClass {
	GtkApplicationClass parent_class;
};

GType boilerplate_application_get_type (void) G_GNUC_CONST;

BoilerplateApplication *boilerplate_application_new (void);

static void boilerplate_application_action_preferences (GSimpleAction, GVariant, gpointer);
static void boilerplate_application_action_shortcuts (GSimpleAction, GVariant, gpointer);
static void boilerplate_application_action_help (GSimpleAction, GVariant, gpointer);
static void boilerplate_application_action_about (GSimpleAction, GVariant, gpointer);
static void boilerplate_application_action_quit (GSimpleAction, GVariant, gpointer);

G_END_DECLS

#endif /* __BOILERPLATE_APPLICATION_H__ */