#ifndef __BOILERPLATE_WINDOW_H__
#define __BOILERPLATE_WINDOW_H__

#include <gtk/gtk.h>
#include "boilerplate-window.h"

G_BEGIN_DECLS

typedef struct _BoilerplateWindow        BoilerplateWindow;
typedef struct _BoilerplateWindowPrivate BoilerplateWindowPrivate;

#define BOILERPLATE_WINDOW_TYPE (boilerplate_window_get_type ())
/*G_DECLARE_FINAL_TYPE (BoilerplateWindow, boilerplate_window, BOILERPLATE, WINDOW, GtkApplicationWindow)*/

struct _BoilerplateWindow {
    GtkApplicationWindow parent;
};

struct _BoilerplateWindowPrivate {
    GtkWidget *stack;
};

GType boilerplate_window_get_type (void) G_GNUC_CONST;

BoilerplateWindow *boilerplate_window_new (BoilerplateApplication *app);

G_END_DECLS

#endif /* __BOILERPLATE_WINDOW_H__ */